## org.biojava.bio.structure
Class AtomIterator

    java.lang.Object
      org.biojava.bio.structure.AtomIterator

All Implemented Interfaces:
  java.util.Iterator

    public class AtomIterator

extends java.lang.Object
implements java.util.Iterator

an iterator over all atoms of a structure / group.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`AtomIterator(Group g)` Constructs an AtomIterator object.
`AtomIterator(Structure struct)` Constructs an AtomIterator object.

Method Summary
`boolean` `hasNext()` is there a next atom ?
`java.lang.Object` `next()` return next atom.
`void` `remove()` does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomIterator

    public AtomIterator(Structure struct)

  Constructs an AtomIterator object.

  Parameters:
    `struct` - a Structure object

### AtomIterator

    public AtomIterator(Group g)

  Constructs an AtomIterator object.

  Parameters:
    `g` - a Group object

Method Detail

### hasNext

    public boolean hasNext()

  is there a next atom ?

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()
                          throws java.util.NoSuchElementException

  return next atom.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next Atom
  Throws:
    `java.util.NoSuchElementException` - ...

### remove

    public void remove()

  does nothing.

  Specified by:
    `remove` in interface `java.util.Iterator`